Package it.ernytech.tdlib

## Class TdApi.GetPublicMessageLink

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetPublicMessageLink

Enclosing class:
  TdApi

    public static class TdApi.GetPublicMessageLink
    extends TdApi.Function

Returns a public HTTPS link to a message. Available only for messages in public supergroups and channels.

Returns `PublicMessageLink`

### Field Summary

Fields
`long` `chatId` Identifier of the chat to which the message belongs.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `forAlbum` Pass true if a link for a whole media album should be returned.
`long` `messageId` Identifier of the message.

### Constructor Summary

Constructors
`GetPublicMessageLink()` Default constructor.
`GetPublicMessageLink​(long chatId, long messageId, boolean forAlbum)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Identifier of the chat to which the message belongs.

#### messageId

    public long messageId

Identifier of the message.

#### forAlbum

    public boolean forAlbum

Pass true if a link for a whole media album should be returned.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetPublicMessageLink

    public GetPublicMessageLink()

Default constructor.

#### GetPublicMessageLink

    public GetPublicMessageLink​(long chatId,
                                long messageId,
                                boolean forAlbum)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Identifier of the chat to which the message belongs.
  `messageId` - Identifier of the message.
  `forAlbum` - Pass true if a link for a whole media album should be returned.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR